* [gentoo-commits] repo/gentoo:master commit in: app-portage/pfl/, app-portage/pfl/files/
@ 2019-07-13 12:44 Daniel Pielmeier
0 siblings, 0 replies; only message in thread
From: Daniel Pielmeier @ 2019-07-13 12:44 UTC (permalink / raw
To: gentoo-commits
commit: 01de772f001c0c25b005464c56c45ed389cf426e
Author: Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 13 12:44:28 2019 +0000
Commit: Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Sat Jul 13 12:44:28 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01de772f
app-portage/pfl: Revision bump to pfl-3.0.1-r1.
Fixes bug #689728. Thanks to Ilya Trukhanov for the report.
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11
app-portage/pfl/files/e-file-function.patch | 15 +++++++++
app-portage/pfl/pfl-3.0.1-r1.ebuild | 48 +++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/app-portage/pfl/files/e-file-function.patch b/app-portage/pfl/files/e-file-function.patch
new file mode 100644
index 00000000000..2f554c926b3
--- /dev/null
+++ b/app-portage/pfl/files/e-file-function.patch
@@ -0,0 +1,15 @@
+--- pfl-3.0.1/bin/e-file.old 2019-06-22 20:32:10.437137086 +0200
++++ pfl-3.0.1/bin/e-file 2019-07-13 14:19:47.383823446 +0200
+@@ -3,10 +3,10 @@
+ #License: GPL
+ #e-file is like apt-file in debian,it's used to search package name via filename for gentoo
+ #thanks for portagefilelist.de and Daniel
+-VERSION=20110906
++VERSION=20190713
+
+ coloropt=always
+-function usage () {
++usage () {
+ echo "This is e-file ($VERSION)"
+ echo "Usage: $(basename ${0}) [-c] [-h] filename"
+ echo " -c color output could be either [always|never|auto]"
diff --git a/app-portage/pfl/pfl-3.0.1-r1.ebuild b/app-portage/pfl/pfl-3.0.1-r1.ebuild
new file mode 100644
index 00000000000..e766bbbfde0
--- /dev/null
+++ b/app-portage/pfl/pfl-3.0.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6} )
+PYTHON_REQ_USE="xml"
+
+inherit distutils-r1
+
+DESCRIPTION="Searchable online file/package database for Gentoo"
+HOMEPAGE="http://www.portagefilelist.de"
+SRC_URI="https://dev.gentoo.org/~billie/distfiles/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="+network-cron"
+
+DEPEND=""
+RDEPEND="
+ ${DEPEND}
+ net-misc/curl
+ sys-apps/portage[${PYTHON_USEDEP}]
+ >=dev-python/ssl-fetch-0.4[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/e-file-function.patch"
+)
+
+python_install_all() {
+ if use network-cron ; then
+ exeinto /etc/cron.weekly
+ doexe cron/pfl
+ fi
+
+ keepdir /var/lib/${PN}
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ if [[ ! -e "${EROOT}/var/lib/${PN}/pfl.info" ]]; then
+ touch "${EROOT}/var/lib/${PN}/pfl.info" || die
+ fi
+ chown -R portage:portage "${EROOT}/var/lib/${PN}" || die
+ chmod 775 "${EROOT}/var/lib/${PN}" || die
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2019-07-13 12:44 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-07-13 12:44 [gentoo-commits] repo/gentoo:master commit in: app-portage/pfl/, app-portage/pfl/files/ Daniel Pielmeier
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox